Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.path
Class SimpleIterPath

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.path.Path
                  org.basex.query.path.AxisPath
                      org.basex.query.path.SimpleIterPath

    public final class SimpleIterPath

extends AxisPath

Iterative path expression for location paths which return sorted and duplicate-free results.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Dennis Stratmann, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.path.AxisPath
`step`

Fields inherited from class org.basex.query.path.Path
`root`

Constructor Summary
`SimpleIterPath(Expr r, Step[] s)` Constructor.

Method Summary
`boolean` | `duplicates(QueryContext ctx)` Returns true if the expression might yield duplicates and unsorted results.
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.path.AxisPath
`addPred, addText, comp, get, invertPath, plan, removable, remove, returned, sameAs, size, toString, uses`

Methods inherited from class org.basex.query.path.Path
`color, toString`

Methods inherited from class org.basex.query.expr.Expr
`atomic, checkCtx, checkDbl, checkItr, e, ebv, i, indexAccessible, indexEquivalent, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleIterPath

    public SimpleIterPath(Expr r,
                          Step[] s)

  Constructor.

  Parameters:
    `r` - root expression
    `s` - location steps

Method Detail

### iter

    public Iter iter(QueryContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `AxisPath`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

### duplicates

    public boolean duplicates(QueryContext ctx)

  Description copied from class: `Expr`
  Returns true if the expression might yield duplicates and unsorted results.

  Overrides:
    `duplicates` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD